GNU Radio C++ API Reference: TimeRasterData Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
TimeRasterData Class Reference

`#include <gnuradio/qtgui/timeRasterGlobalData.h>`

## Public Member Functions
| TimeRasterData (const double rows, const double cols)
| ~TimeRasterData () override
virtual void | reset ()
virtual void | copy (const TimeRasterData *)
virtual void | resizeData (const double rows, const double cols)
virtual QwtRasterData * | copy () const
double | value (double x, double y) const override
virtual double | getNumCols () const
virtual double | getNumRows () const
virtual void | addData (const double *, const int)
void | incrementResidual ()

## Protected Attributes
std::vector< double > | d_data
double | d_rows
double | d_cols
double | d_resid
int | d_nitems
int | d_totalitems
QwtInterval | d_intensityRange

## Constructor & Destructor Documentation

## ◆ TimeRasterData()

TimeRasterData::TimeRasterData | ( | const double | rows,
|  | const double | cols )

Referenced by copy().

## ◆ ~TimeRasterData()

TimeRasterData::~TimeRasterData | ( |  | ) |
| override

## Member Function Documentation

## ◆ addData()

virtual void TimeRasterData::addData | ( | const double * | ,
|  | const int | )
| virtual

## ◆ copy() [1/2]

virtual QwtRasterData * TimeRasterData::copy | ( |  | ) | const
| virtual

## ◆ copy() [2/2]

virtual void TimeRasterData::copy | ( | const TimeRasterData * |  | ) |
| virtual

References TimeRasterData().

## ◆ getNumCols()

virtual double TimeRasterData::getNumCols | ( |  | ) | const
| virtual

## ◆ getNumRows()

virtual double TimeRasterData::getNumRows | ( |  | ) | const
| virtual

## ◆ incrementResidual()

void TimeRasterData::incrementResidual | ( |  | ) |

## ◆ reset()

virtual void TimeRasterData::reset | ( |  | ) |
| virtual

## ◆ resizeData()

virtual void TimeRasterData::resizeData | ( | const double | rows,
|  | const double | cols )
| virtual

## ◆ value()

double TimeRasterData::value | ( | double | x,
|  | double | y ) const
| override

## Member Data Documentation

## ◆ d_cols

double TimeRasterData::d_cols
| protected

## ◆ d_data

std::vector<double> TimeRasterData::d_data
| protected

## ◆ d_intensityRange

QwtInterval TimeRasterData::d_intensityRange
| protected

## ◆ d_nitems

int TimeRasterData::d_nitems
| protected

## ◆ d_resid

double TimeRasterData::d_resid
| protected

## ◆ d_rows

double TimeRasterData::d_rows
| protected

## ◆ d_totalitems

int TimeRasterData::d_totalitems
| protected

The documentation for this class was generated from the following file:

- timeRasterGlobalData.h